package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-622:Pesquisar apenas mensagens nao importantes
 * 
 * Caso de Teste: EL-623:Pesquisar apenas mensagens importantes
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-622
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-623
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 24, 2011 at 3:35:48 PM
 * 
 */
public class PesquisarEmailImportanteTestCase extends BaseEmailTestCase {

	@Test
	public void pesquisaMensagemImportanteSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.searchImportantMessage("Importante");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

	@Test
	public void pesquisaMensagemNaoImportanteSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.searchImportantMessage("Não Importante");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

	/**
	 * see org.expressolivre.cte.email.compor.EnviarEmailImportanteTestCase
	 */
	@Test
	public void pesquisaMensagemImportanteComResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.searchImportantMessage("Importante");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"1"));
	}

	/**
	 * see org.expressolivre.cte.email.compor.EnviarEmailTestCase
	 */
	@Test
	public void pesquisaMensagemNaoImportanteComResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.searchImportantMessage("Não Importante");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"1"));
	}

}
