package org.expressolivre.cte.email.pesquisar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-625:Pesquisar por data especifica
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-625
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 9:34:09 AM
 * 
 */
public class PesquisarEmailPorDataTestCase extends BaseEmailTestCase {

	@Test
	public void pesquisaEmailPorDataSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchOnDate("01011984");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

	@Test
	public void pesquisaEmailPorDataComResultado() {
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("ddMMyyyy");
		String today = sdf.format(cal.getTime());

		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchOnDate(today);
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"2"));
	}

}
