package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-624:Pesquisar por remetente
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-624
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 9:23:35 AM
 * 
 */
public class PesquisarEmailPorRemetenteTestCase extends BaseEmailTestCase {

	@Test
	public void pesquisaEmailPorRemetenteSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchRemetente("João da Silva");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

	@Test
	public void pesquisaEmailPorRemetenteComResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchRemetente("Luiz Fernando Estivalet");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"2"));
	}

}
