package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 11:08:00 AM
 * 
 */
public class PesquisarEmailPorTextoTestCase extends BaseEmailTestCase {

	@Test
	public void pesquisaEmailPorTextoComResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchBody(EMAIL_TEXTO);
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"2"));
	}

	@Test
	public void pesquisaEmailPorTextoSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchBody("texto não encontrado");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

}
